function varargout=size(A,dim)
% -- S = size (A)
% -- s = size (A, DIM)
%     Return a row vector with the size of each dimension for the N-by-m-by-n 
%     amat object A: ie S=[N,m,n]
%
%     If the optional argument DIM is supplied, give the  DIM.
%        DIM==0  return N 
%        DIM==1  return m
%        DIM==2  return n
%
  s=[A.N,A.nr,A.nc];
  assert( ismember(nargout,[0,1,3]) )
  if nargin==1
    if nargout==1 || nargout==0
      varargout{1}=s;
      return
    end
    varargout=mat2cell(s,1,[1 1 1]);
    return
  end
  assert(ismember(dim,0:2) && ismember(nargout,[0,1]) )
  varargout{1}=s(dim+1);
end
