function [Inputs,Bdatas]=setLU01(N,verbose,varargin)
  p = inputParser;
  p.addParamValue('fprintf',@(varargin) fprintf(varargin{:}));
  p.parse(varargin{:});
  R=p.Results;
  Fprintf=R.fprintf;
  m=N;
  A=randn(m,m); % A is the input of the LU functions
  Error=@(L,U,P) norm(L*U-P*A,Inf); % A is known
  if verbose
    Fprintf('# Prototype functions without wrapper: [L,U,P]=fun(A)\n',class(A))
    Fprintf('# Input parameter A: m-by-n matrix [%s]\n',class(A))
    Fprintf('# Outputs are [L,U,P] such that P*A=L*U\n')
    Fprintf('# Error[i] computed with fun[i] outputs :\n#   %s\n',func2str(Error))
  end
  Bdatas{1}=fc_bench.bdata('m',m,'%d',7);
  Inputs={A,Error}; % Adding Error function handle
end
