function init(varargin)
  p = inputParser;
  p.KeepUnmatched=true;
  p.addParamValue('verbose', 1, @(x) ismember(x,0:2) ); % level of verbosity 
  p.parse(varargin{:});
  R=p.Results;verbose=R.verbose;
  
  if isOctave()
    warning('off','Octave:shadowed-function')
    more off
    tname='package';
  else
    tname='toolbox';
  end
  env=fc_bench.environment();
  if isdir(env.fc_tools_dir)
    addpath(env.fc_tools_dir);rehash path;
  else
    log=ver;
    if isOctave() % try pkg load
      Lp=pkg('list');
      if sum(cellfun(@(x) strcmp(x.name,'fc-tools'),Lp))==1 % package is installed
        pkg('load','fc-tools')
      end
    end
  end
  try
    fc_tools.init('verbose',0)
  catch
    fprintf('[fc-bench] Unable to load the fc-tools %s!\n',tname)
    fprintf('[fc-bench] Use fc_bench.configure(''fc_tools_dir'',<DIR>) to correct this issue\n\n');
    error('fc-bench::init')
  end
  if verbose>0,fc_bench.info(verbose);end
end

function bool=isOctave()
  log=ver;bool=strcmp(log(1).Name,'Octave');
end
